### Method

# Foundry Vcs blame

#### Declaration [src]

    DexFuture*
    foundry_vcs_blame (
      FoundryVcs* self,
      FoundryVcsFile* file,
      GBytes* bytes
    )

#### Description

No description available.

#### Parameters

`file`

  Type: `FoundryVcsFile`

  A `FoundryVcsFile`.

  The data is owned by the caller of the method.

`bytes`

  Type: `GBytes`

  Optional contents for the file.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `FoundryVcsBlame` or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.